## normaliz 3.1.1+ds

=== source/CMakeLists.txt ===
# Pre-requisites about cmake itself
CMAKE_MINIMUM_REQUIRED(VERSION 2.6)

SET(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} "${CMAKE_SOURCE_DIR}/cmake/Modules/")

if(COMMAND cmake_policy)
  cmake_policy(SET CMP0005 NEW) # new in 2.6 
  cmake_policy(SET CMP0003 NEW) # new in 2.6 
  if(POLICY CMP0042)            # new in 2.8.2
    cmake_policy(SET CMP0042 NEW)  # MACOSX_RPATH enabled by default
  endif(POLICY CMP0042)
endif(COMMAND cmake_policy)
set(CMAKE_LEGACY_CYGWIN_WIN32 0) # Remove when CMake >= 2.8.4 is required

# The project name and the type of project
PROJECT(libnormaliz)
SET(VERSION_MAJOR 3)
SET(VERSION_MINOR 1)
SET(VERSION_PATCH 1)
SET(VERSION_STRING ${VERSION_MAJOR}.${VERSION_MINOR}.${VERSION_PATCH})
SET(VERSION ${VERSION_STRING})

# automatically set lib suffix, disabled for now
#IF(UNIX AND NOT APPLE AND NOT CMAKE_CROSSCOMPILING AND NOT EXISTS "/etc/debian_version")
#  IF(CMAKE_SIZEOF_VOID_P EQUAL 8 AND NOT LIB_SUFFIX)
#    SET(LIB_SUFFIX 64)
#  ENDIF()
#ENDIF()

# PkgConfig
SET(prefix      ${CMAKE_INSTALL_PREFIX})
SET(exec_prefix ${CMAKE_INSTALL_PREFIX}/bin)
SET(includedir  ${CMAKE_INSTALL_PREFIX}/include/${PROJECT_NAME})

IF(${UNIX})
   SET(libdir      ${CMAKE_INSTALL_PREFIX}/lib${LIB_SUFFIX})
ENDIF(${UNIX})
IF(${WIN32})
   SET(libdir      ${CMAKE_INSTALL_PREFIX}/bin)
ENDIF(${WIN32})

#set default build type
#IF (NOT CMAKE_BUILD_TYPE)  #or IF (NOT DEFINED CMAKE_BUILD_TYPE)
#  SET(CMAKE_BUILD_TYPE Release)
#ENDIF (NOT CMAKE_BUILD_TYPE)

##### Always full RPATH  #####

# use, i.e. don't skip the full RPATH for the build tree
SET(CMAKE_SKIP_BUILD_RPATH  FALSE)

# when building, don't use the install RPATH already
# (but later on when installing)
SET(CMAKE_BUILD_WITH_INSTALL_RPATH FALSE)

SET(CMAKE_INSTALL_RPATH "${CMAKE_INSTALL_PREFIX}/lib")

# add the automatically determined parts of the RPATH
# which point to directories outside the build tree to the install RPATH
SET(CMAKE_INSTALL_RPATH_USE_LINK_PATH TRUE)


# the RPATH to be used when installing, but only if it's not a system directory
LIST(FIND CMAKE_PLATFORM_IMPLICIT_LINK_DIRECTORIES "${CMAKE_INSTALL_PREFIX}/lib" isSystemDir)
IF("${isSystemDir}" STREQUAL "-1")
   SET(CMAKE_INSTALL_RPATH "${CMAKE_INSTALL_PREFIX}/lib")
ENDIF("${isSystemDir}" STREQUAL "-1")

##############################

SET(CMAKE_INSTALL_NAME_DIR "${CMAKE_INSTALL_PREFIX}/lib") #needed on mac


# compiler flags
IF (MSVC)
  SET (CXX_WARNING_FLAGS "/Wall")
  SET (CXX_OPTIMIZATION_FLAGS "/O2")
ELSE ()
  SET (CXX_WARNING_FLAGS "-Wall -pedantic")
  SET (CXX_OPTIMIZATION_FLAGS "-O3")
ENDIF ()

IF (NOT MSVC)
  include(CheckCXXCompilerFlag)
  CHECK_CXX_COMPILER_FLAG("-std=c++11" COMPILER_SUPPORTS_CXX11)
  CHECK_CXX_COMPILER_FLAG("-std=c++0x" COMPILER_SUPPORTS_CXX0X)
  if(COMPILER_SUPPORTS_CXX11)
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++11")
  elseif(COMPILER_SUPPORTS_CXX0X)
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++0x")
  else()
    message(STATUS "The compiler ${CMAKE_CXX_COMPILER} has no C++11 support.")
  endif()
  IF (${APPLE})
    IF (CMAKE_CXX_COMPILER_ID MATCHES "Clang" AND (COMPILER_SUPPORTS_CXX11 OR COMPILER_SUPPORTS_CXX0X) )
      # using clang with new c++11 library on Apple
      set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -stdlib=libc++")
    ENDIF ()
  ENDIF ()
ENDIF()


SET (NMZ_OPENMP "YES" CACHE BOOL "use openmp")
IF (NMZ_OPENMP)
  FIND_PACKAGE(OpenMP)
  IF (NOT OPENMP_FOUND)
    MESSAGE(STATUS "Not using OpenMP, compiler does not support it")
    SET (NMZ_OPENMP "NO" CACHE BOOL "use openmp" FORCE)
  ENDIF(NOT OPENMP_FOUND)
ENDIF (NMZ_OPENMP)
IF (NMZ_OPENMP)
  include("${CMAKE_SOURCE_DIR}/cmake/detect_features.cmake")
  NMZ_CHECK_FOR_EXCEPTION_PTR()
  IF (NOT HAVE_EXCEPTION_PTR)
    MESSAGE(STATUS "Not using OpenMP, compiler does not support std::exception_ptr and std::rethrow")
    SET (NMZ_OPENMP "NO" CACHE BOOL "use openmp" FORCE)
  ENDIF (NOT HAVE_EXCEPTION_PTR)
ENDIF (NMZ_OPENMP)
IF (NMZ_OPENMP)
  SET (CMAKE_C_FLAGS "${CMAKE_C_FLAGS} ${OpenMP_C_FLAGS}")
  SET (CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${OpenMP_CXX_FLAGS}")
  SET (CMAKE_EXE_LINKER_FLAGS "${CMAKE_EXE_LINKER_FLAGS} ${OpenMP_EXE_LINKER_FLAGS}")
ELSE (NMZ_OPENMP)
  SET (CXX_WARNING_FLAGS "${CXX_WARNING_FLAGS} -Wno-unknown-pragmas")
ENDIF (NMZ_OPENMP)

# add compiler flags
SET (CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${CXX_WARNING_FLAGS} ${CXX_OPTIMIZATION_FLAGS}")

INCLUDE_DIRECTORIES(.)

# handle static compilation
SET (NMZ_BUILD_STATIC "NO" CACHE BOOL "build normaliz statically")
IF (NMZ_BUILD_STATIC)
  IF (${APPLE})
    IF (CMAKE_COMPILER_IS_GNUCXX)
        SET (CMAKE_EXE_LINKER_FLAGS "${CMAKE_EXE_LINKER_FLAGS} -static-libgcc")
    ENDIF (CMAKE_COMPILER_IS_GNUCXX)
    # make it compatible with older Mac versions
    SET (CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -mmacosx-version-min=10.7")
  ELSEIF (${UNIX})
    SET (CMAKE_EXE_LINKER_FLAGS "${CMAKE_EXE_LINKER_FLAGS} -static")
  ELSE ()
    MESSAGE (FATAL_ERROR "Static linking not (yet) supported on this system")
  ENDIF ()
ENDIF (NMZ_BUILD_STATIC)


# handle usage of SCIP
SET (NMZ_SCIP "NO" CACHE BOOL "Use SCIP")
IF (NMZ_SCIP)
  FIND_PACKAGE(SCIP REQUIRED)
  SET (NMZ_SCIP_FLAGS "-DNMZ_SCIP")
  INCLUDE_DIRECTORIES(${SCIP_INCLUDE_DIR})
  MESSAGE(STATUS "Adding to compiler flags NMZ_SCIP_FLAGS=${NMZ_SCIP_FLAGS}")
  SET (CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${NMZ_SCIP_FLAGS}")
ENDIF (NMZ_SCIP)


# find gmp
FIND_PACKAGE(GMP REQUIRED)
INCLUDE_DIRECTORIES(${GMP_INCLUDE_DIR})
IF (GMP_FOUND)
  MESSAGE(STATUS "GMP found with include dir: ${GMP_INCLUDE_DIR}")
  MESSAGE(STATUS "GMP found with lib dir: ${GMP_LIBRARIES_DIR}")
  MESSAGE(STATUS "GMP found with lib : ${GMP_LIBRARIES}")
  MESSAGE(STATUS "GMP found with static lib : ${GMP_STATIC_LIBRARIES}")
ENDIF()

FIND_PACKAGE(GMPXX REQUIRED)
INCLUDE_DIRECTORIES(${GMPXX_INCLUDE_DIR})
IF (GMPXX_FOUND)
  MESSAGE(STATUS "GMPXX found with include dir: ${GMPXX_INCLUDE_DIR}")
  MESSAGE(STATUS "GMPXX found with lib : ${GMPXX_LIBRARIES}")
  MESSAGE(STATUS "GMPXX found with static lib : ${GMPXX_STATIC_LIBRARIES}")
ENDIF()


# handle offload to mic (intel xeon phi)
SET (NMZ_MIC_OFFLOAD "NO" CACHE BOOL "Use offload to mic (intel xeon phi)")
IF (NMZ_MIC_OFFLOAD)
  IF ( NOT UNIX OR APPLE )
    MESSAGE (FATAL_ERROR "Offload to mic only supported on Linux")
  ENDIF()
  IF ( NMZ_SCIP )
    MESSAGE (FATAL_ERROR "Simultaneous use of offload and scip not supported")
  ENDIF()

  # find gmp for mic
  FIND_PACKAGE(MIC_GMP REQUIRED)
  INCLUDE_DIRECTORIES(${MIC_GMP_INCLUDE_DIR})  #probably not the correct place
  IF (MIC_GMP_FOUND)
    MESSAGE(STATUS "MIC_GMP found with include dir: ${MIC_GMP_INCLUDE_DIR}")
    MESSAGE(STATUS "MIC_GMP found with lib dir: ${MIC_GMP_LIBRARIES_DIR}")
    MESSAGE(STATUS "MIC_GMP found with lib : ${MIC_GMP_LIBRARIES}")
    MESSAGE(STATUS "MIC_GMP found with static lib : ${MIC_GMP_STATIC_LIBRARIES}")
  ENDIF()
  FIND_PACKAGE(MIC_GMPXX REQUIRED)
  INCLUDE_DIRECTORIES(${MIC_GMPXX_INCLUDE_DIR}) #probably not the correct place
  IF (MIC_GMPXX_FOUND)
    MESSAGE(STATUS "MIC_GMPXX found with include dir: ${MIC_GMPXX_INCLUDE_DIR}")
    MESSAGE(STATUS "MIC_GMPXX found with lib : ${MIC_GMPXX_LIBRARIES}")
    MESSAGE(STATUS "MIC_GMPXX found with static lib : ${MIC_GMPXX_STATIC_LIBRARIES}")
  ENDIF()
  SET (NMZ_MIC_FLAGS "-offload-option,mic,compiler,\"-L${MIC_GMP_LIBRARIES_DIR} -lgmpxx -lgmp\" -DNMZ_MIC_OFFLOAD")
  SET (NMZ_MIC_FLAGS "${NMZ_MIC_FLAGS} -wd3218")
  MESSAGE(STATUS "Adding to compiler flags NMZ_MIC_FLAGS=${NMZ_MIC_FLAGS}")
  SET (CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${NMZ_MIC_FLAGS}")
ENDIF (NMZ_MIC_OFFLOAD)


ADD_SUBDIRECTORY(libnormaliz)

# add the normaliz executable
ADD_EXECUTABLE (normaliz Normaliz.cpp)

IF (NMZ_BUILD_STATIC)
  TARGET_LINK_LIBRARIES (normaliz normaliz-static)
  TARGET_LINK_LIBRARIES (normaliz ${GMPXX_STATIC_LIBRARIES} ${GMP_STATIC_LIBRARIES})
  #Static start and end
  SET_TARGET_PROPERTIES(normaliz PROPERTIES LINK_SEARCH_START_STATIC 1)
  SET_TARGET_PROPERTIES(normaliz PROPERTIES LINK_SEARCH_END_STATIC 1)
  # Don't try to modify the RPATH
  SET_TARGET_PROPERTIES(normaliz PROPERTIES INSTALL_RPATH "")
ELSE (NMZ_BUILD_STATIC)
  TARGET_LINK_LIBRARIES (normaliz normaliz-shared)
  TARGET_LINK_LIBRARIES (normaliz ${GMPXX_LIBRARIES} ${GMP_LIBRARIES})
ENDIF (NMZ_BUILD_STATIC)

#link optional libs
IF (NMZ_SCIP)
  MESSAGE(STATUS "Adding scip libraries to link ${SCIP_LIBRARY}")
  TARGET_LINK_LIBRARIES (normaliz ${SCIP_LIBRARY})
ENDIF (NMZ_SCIP)


INSTALL(TARGETS normaliz DESTINATION bin)


#custom make targets
ADD_CUSTOM_TARGET (uninstall @echo uninstall package)
IF (UNIX)
  ADD_CUSTOM_COMMAND(
    COMMENT "uninstall package"
    COMMAND xargs ARGS rm < install_manifest.txt
    TARGET  uninstall
  )
ELSE(UNIX)
  ADD_CUSTOM_COMMAND(
    COMMENT "uninstall only implemented in unix"
    TARGET  uninstall
  )
ENDIF(UNIX)

ADD_CUSTOM_TARGET (dep @echo install package dependencies)
IF (UNIX)
  ADD_CUSTOM_COMMAND(
    COMMENT "make package dependencies"
    COMMAND ./make_dep.sh ARGS -d ../dependencies
    TARGET  dep
  )
ELSE(UNIX)
  ADD_CUSTOM_COMMAND(
    COMMENT "make package dependencies only implemented in unix"
    TARGET  dep
  )
ENDIF(UNIX)

ADD_CUSTOM_TARGET (check)
IF (UNIX)
  ADD_CUSTOM_COMMAND(
    COMMENT "run tests"
    COMMAND make --directory=../test/ NORMALIZ=${CMAKE_CURRENT_BINARY_DIR}/normaliz
    TARGET  check
    DEPENDS normaliz
  )
ELSE(UNIX)
  ADD_CUSTOM_COMMAND(
    COMMENT "check only implemented in unix"
    TARGET  check
  )
ENDIF(UNIX)

=== test/Makefile ===
## default normaliz bin
ifndef (NORMALIZ)
  NORMALIZ = ../source/normaliz
endif


#NORMPARA += -c
#NORMPARA += -x=1
DIFF = diff -b
#NICE = nice -n19


TEST_FILES_S = $(patsubst %.in,%.diff,$(wildcard test-s/*.in))
TEST_FILES_V = $(patsubst %.in,%.diff,$(wildcard test-v/*.in))
TEST_FILES_N = $(patsubst %.in,%.diff,$(wildcard test-n/*.in))
TEST_FILES_NN = $(patsubst %.in,%.diff,$(wildcard test-nn/*.in))
TEST_FILES_W = $(patsubst %.in,%.diff,$(wildcard test-w/*.in))
TEST_FILES_MM = $(patsubst %.in,%.diff,$(wildcard test-mm/*.in))
TEST_FILES_H = $(patsubst %.in,%.diff,$(wildcard test-h/*.in))
TEST_FILES_P = $(patsubst %.in,%.diff,$(wildcard test-p/*.in))
TEST_FILES_Q = $(patsubst %.in,%.diff,$(wildcard test-q/*.in))
TEST_FILES_1 = $(patsubst %.in,%.diff,$(wildcard test-1/*.in))
TEST_FILES_D = $(patsubst %.in,%.diff,$(wildcard test-d/*.in))
TEST_FILES_D1 = $(patsubst %.in,%.diff,$(wildcard test-d1/*.in))
TEST_FILES_R1 = $(patsubst %.in,%.diff,$(wildcard test-r1/*.in))
TEST_FILES_DEFAULT = $(patsubst %.in,%.diff,$(wildcard test-/*.in))
TEST_FILES_HH = $(patsubst %.in,%.diff,$(wildcard test-hh/*.in))
TEST_FILES_HH_INTHULL = $(patsubst %.in,%.IntHull.diff,$(wildcard test-hh/*.in))


all: tests testv testn test1 testN testq testp testd testh testdefault testd1 testr1 testM testw testH
tests: $(TEST_FILES_S)
testv: $(TEST_FILES_V)
testN: $(TEST_FILES_NN)
testw: $(TEST_FILES_W)
testn: $(TEST_FILES_N)
testh: $(TEST_FILES_H)
testp: $(TEST_FILES_P)
testq: $(TEST_FILES_Q)
test1: $(TEST_FILES_1)
testdefault: $(TEST_FILES_DEFAULT)
testd: $(TEST_FILES_D)
testd1: $(TEST_FILES_D1)
testr1: $(TEST_FILES_R1)
testM: $(TEST_FILES_MM)
testH: $(TEST_FILES_HH) $(TEST_FILES_HH_INTHULL)

#compare rule
%.diff: %.out %.ref
	$(DIFF) $*.ref $*.out > $*.diff

#rules to generate the test files
test-s/%.out: $(NORMALIZ) test-s/%.in
	$(NICE) $(NORMALIZ) $(NORMPARA) -s test-s/$*
test-v/%.out: $(NORMALIZ) test-v/%.in
	$(NICE) $(NORMALIZ) $(NORMPARA) -v test-v/$*
test-1/%.out: $(NORMALIZ) test-1/%.in
	$(NICE) $(NORMALIZ) $(NORMPARA) -1 test-1/$*
test-n/%.out: $(NORMALIZ) test-n/%.in
	$(NICE) $(NORMALIZ) $(NORMPARA) -n test-n/$*
test-nn/%.out: $(NORMALIZ) test-nn/%.in
	$(NICE) $(NORMALIZ) $(NORMPARA) -N test-nn/$*
test-w/%.out: $(NORMALIZ) test-w/%.in
	$(NICE) $(NORMALIZ) $(NORMPARA) -w -x=1 test-w/$*
test-mm/%.out: $(NORMALIZ) test-mm/%.in
	$(NICE) $(NORMALIZ) $(NORMPARA) -M test-mm/$*
test-p/%.out: $(NORMALIZ) test-p/%.in
	$(NICE) $(NORMALIZ) $(NORMPARA) -p test-p/$*
test-q/%.out: $(NORMALIZ) test-q/%.in
	$(NICE) $(NORMALIZ) $(NORMPARA) -q test-q/$*
test-d/%.out: $(NORMALIZ) test-d/%.in
	$(NICE) $(NORMALIZ) $(NORMPARA) -d test-d/$*
test-h/%.out: $(NORMALIZ) test-h/%.in
	$(NICE) $(NORMALIZ) $(NORMPARA) -h test-h/$*
test-/%.out: $(NORMALIZ) test-/%.in
	$(NICE) $(NORMALIZ) $(NORMPARA) test-/$*
test-d1/%.out: $(NORMALIZ) test-d1/%.in
	$(NICE) $(NORMALIZ) $(NORMPARA) -d1 test-d1/$*
test-r1/%.out: $(NORMALIZ) test-r1/%.in
	$(NICE) $(NORMALIZ) $(NORMPARA) -r1 test-r1/$*
# for this rule with two targets USING PATTERNS, make will execute it only once
# to create the two target files
test-hh/%.out test-hh/%.IntHull.out: $(NORMALIZ) test-hh/%.in
	$(NICE) $(NORMALIZ) $(NORMPARA) -H test-hh/$*



clean:
	-rm -f test-*/*.diff

distclean: clean
	-rm -f test-*/*.out

.PRECIOUS: test-s/%.out
.PRECIOUS: test-v/%.out
.PRECIOUS: test-1/%.out
.PRECIOUS: test-n/%.out
.PRECIOUS: test-nn/%.out
.PRECIOUS: test-w/%.out
.PRECIOUS: test-mm/%.out
.PRECIOUS: test-p/%.out
.PRECIOUS: test-q/%.out
.PRECIOUS: test-d/%.out
.PRECIOUS: test-d1/%.out
.PRECIOUS: test-r1/%.out
.PRECIOUS: test-h/%.out
.PRECIOUS: test-/%.out
.PRECIOUS: test-hh/%.out
.PHONY: all testdefault tests testn test1 testN testw testp testh testd testd1 testH clean distclean

=== source/genEhrhart/Makefile ===
# Makefile for genEhrhart

#COCOA_ROOT=$(HOME)/CoCoA/CoCoALib-0.99540
COCOA_ROOT=../../../CoCoA/CoCoALib-0.99540
include $(COCOA_ROOT)/configuration/autoconf.mk

include ../Makefile.configuration

CXXFLAGS += -I ..

ALL_C=$(wildcard *.C)
ALL_EXECS=$(ALL_C:.C=)

# Rule for compiling and linking C++ code in *.C files
# LDLIBS contains COCOA_LIB and everythink it needs
nmzIntegrate: nmzIntegrate.C nmzIntInput.C nmzIntPoly.C cyclRatFunct.C genEhrhart.C nmzIntegral.C 
	@echo "Compiling `basename $@`"
	$(COMPILE) -o $@ $< ../libnormaliz/libnormaliz.a $(LDLIBS) #-pthread

.PHONY: library
library:
	@(cd $(COCOA_ROOT); $(MAKE) library)

.PHONY: clean
clean:
	@/bin/rm -f $(ALL_EXECS) *.o

$(ALL_EXECS): $(COCOA_LIB)

=== source/libnormaliz/Makefile ===
##
## Makefile for libnormaliz
##
include ../Makefile.configuration

LIBSOURCES = $(wildcard *.cpp)
LIBHEADERS = $(wildcard *.h)

## -I .. necessary since we include files libnormaliz/*.h and *.cpp
CXXFLAGS += -I .. 

default: libnormaliz.a

all: default

libnormaliz.o: $(LIBHEADERS) $(LIBSOURCES) libnormaliz-impl.cpp
	$(CXX) $(CXXFLAGS) $(NORMFLAGS) -c libnormaliz-impl.cpp -o libnormaliz.o

cone_property.o: cone_property.h cone_property.cpp
	$(CXX) $(CXXFLAGS) $(NORMFLAGS) -c cone_property.cpp -o $@

offload_handler.o: $(LIBHEADERS) offload_handler.cpp
	$(CXX) $(CXXFLAGS) $(NORMFLAGS) -c offload_handler.cpp -o $@

bottom.o: $(LIBHEADERS) bottom.cpp
	$(CXX) $(CXXFLAGS) $(NORMFLAGS) -c bottom.cpp -o $@

cone_helper.o: $(LIBHEADERS) cone_helper.cpp
	$(CXX) $(CXXFLAGS) $(NORMFLAGS) -c cone_helper.cpp -o $@

hilbert_series.o: $(LIBHEADERS) HilbertSeries.cpp
	$(CXX) $(CXXFLAGS) $(NORMFLAGS) -c HilbertSeries.cpp -o $@

libnormaliz-templated.o: $(LIBHEADERS) $(LIBSOURCES) libnormaliz-templated.cpp
	$(CXX) $(CXXFLAGS) $(NORMFLAGS) -c libnormaliz-templated.cpp -o $@

libnormaliz.a: cone_property.o cone_helper.o hilbert_series.o libnormaliz-templated.o bottom.o offload_handler.o
	ar -cr $@ $^

clean:
	-rm -f *.o
	-rm -f libnormaliz.a

.PHONY : default clean all

=== source/maxsimplex/Makefile ===
##
## Makefile configuration for normaliz
##

#######  customize  ######

LIBNORMALIZ_DIR = ../libnormaliz
INCLUDE_DIR = ..
MY_PROG = maxsimplex

##### end customize ######


CXX = g++ 
#CXX = linux32 g++ -m32 -march=i686  #compile it for linux32
CXXFLAGS += -Wall -pedantic -Wno-long-long
CXXFLAGS += -O3 -funroll-loops
CXXFLAGS += -g       ## debugging
#CXXFLAGS += -pg      ## profiling
#CXXFLAGS += -DNDEBUG ## disables asserts


## use OpenMP?
ifeq ($(OPENMP),no)
 CXXFLAGS += -Wno-unknown-pragmas
else
 CXXFLAGS += -fopenmp
# CXXFLAGS += -openmp_report2
endif

## for distributing the executables link static (does not work for mac)
CXXFLAGS += -static 
## for almost static compilation on Mac use
#CXXFLAGS += -static-libgcc
## make it compatible with older Mac versions
#CXXFLAGS += -mmacosx-version-min=10.5

CXXFLAGS += -I$(INCLUDE_DIR)

LINKFLAGS += -L$(LIBNORMALIZ_DIR)
LINKFLAGS += -lnormaliz -lgmpxx -lgmp 
#GMPFLAGS = -I $(GMPDIR) $(GMPDIR).libs/libgmpxx.a $(GMPDIR).libs/libgmp.a #-liomp5 -lpthread
#GMPFLAGS_MIC = -I $(GMPDIR_MIC) $(GMPDIR_MIC).libs/libgmpxx.a $(GMPDIR_MIC).libs/libgmp.a #-liomp5 -lpthread

default: $(MY_PROG) 

%: %.cpp
	$(CXX) $(CXXFLAGS) -o $@ $< $(LINKFLAGS)

#%: %.c
#	$(CXX) $(CXXFLAGS) -o $@ $< $(LINKFLAGS)
#
#%.o: %.cpp %.h
#	$(CXX) $(CXXFLAGS) -c -o $@ $<
#
#%.o: %.c %.h
#	$(CXX) $(CXXFLAGS) -c -o $@ $<

clean:
	rm -f $(MY_PROG) *.o

=== debian/changelog ===
normaliz (3.1.1+ds-1) unstable; urgency=medium

  * New upstream version.
  * Debianization:
    - debian/copyright:
      - Files-Excluded field, improve;
    - debian/control:
      - Standards Version, bump to 3.9.7;
    - debian/rules:
      - dpkg-buildflags, add hardening=+all.

 -- Jerome Benoit <calculus@rezozer.net>  Mon, 11 Apr 2016 23:22:29 +0000

normaliz (3.1.0+ds-1) unstable; urgency=medium

  * New upstream version.
  * Debianization:
    - debian/copyright:
      - Source field, update;
      - X-Upstream-Vcs, clean up;
      - copyright, refresh;
    - debian/control:
      - Homepage field, update;
      - Vcs-*, secure;
    - debian/watch, update;
    - debian/patches, drop off upstream patches which were integrated.

 -- Jerome Benoit <calculus@rezozer.net>  Thu, 18 Feb 2016 05:24:37 +0000

=== debian/control ===
Source: normaliz
Section: math
Priority: optional
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Jerome Benoit <calculus@rezozer.net>
Build-Depends:
 debhelper (>= 9),
 cmake, help2man,
 libgmp-dev, libboost-dev
Build-Depends-Indep:
 texlive-latex-base, texlive-latex-recommended, texlive-pictures,
 texlive-fonts-recommended, texlive-fonts-extra
Standards-Version: 3.9.7
Homepage: https://www.normaliz.uni-osnabrueck.de/
Vcs-Git: https://anonscm.debian.org/git/debian-science/packages/normaliz.git
Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/normaliz.git

Package: normaliz
Architecture: any
Depends: normaliz-bin, ${misc:Depends}
Suggests: singular
Description: math computing tools for affine monoids, rational polytopes and cones
 Normaliz is a mathematical tool for computations in affine monoids, vector
 configurations, lattice polytopes, and rational cones.
 .
 This dummy package provides the standard installation.

Package: libnormaliz0
Provides: libnormaliz
Section: libs
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: libnormaliz
Multi-Arch: same
Description: math computing tools for affine monoids, rational polytopes and cones - libs
 Normaliz is a mathematical tool for computations in affine monoids, vector
 configurations, lattice polytopes, and rational cones.
 .
 This package provides the shared libraries required to run programs compiled
 against the Normaliz library. To compile your own programs you also need to
 install the libnormaliz0-dev package.

Package: libnormaliz0-dev
Provides: libnormaliz-dev
Section: libdevel
Architecture: any
Depends: libnormaliz0 (= ${binary:Version}), libnormaliz0-dev-common (= ${source:Version}), ${misc:Depends}
Conflicts: libnormaliz-dev
Suggests: normaliz-bin (= ${binary:Version})
Multi-Arch: same
Description: math computing tools for affine monoids, rational polytopes and cones - libdev
 Normaliz is a mathematical tool for computations in affine monoids, vector
 configurations, lattice polytopes, and rational cones.
 .
 This package contains static libraries and symbolic links that developers
 using the Normaliz library will need.

Package: libnormaliz0-dev-common
Section: libdevel
Architecture: all
Depends: ${misc:Depends}
Multi-Arch: foreign
Description: math computing tools for affine monoids, rational polytopes and cones - headers
 Normaliz is a mathematical tool for computations in affine monoids, vector
 configurations, lattice polytopes, and rational cones.
 .
 This package contains the header files that developers using the Normaliz
 library will need.

Package: normaliz-bin
Architecture: any
Depends: libnormaliz0 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Suggests: normaliz-doc (= ${binary:Version})
Multi-Arch: foreign
Description: math computing tools for affine monoids, rational polytopes and cones - bin
 Normaliz is a mathematical tool for computations in affine monoids, vector
 configurations, lattice polytopes, and rational cones.
 .
 This package provides the command line utility normaliz.

Package: libnormaliz0-dbg
Provides: libnormaliz-dbg
Section: debug
Priority: extra
Architecture: any
Depends: libnormaliz0 (= ${binary:Version}), ${misc:Depends}
Conflicts: libnormaliz-dbg
Suggests: pkg-config
Multi-Arch: same
Description: math computing tools for affine monoids, rational polytopes and cones - debug
 Normaliz is a mathematical tool for computations in affine monoids, vector
 configurations, lattice polytopes, and rational cones.
 .
 This package provides the debugging symbols for the libraries from
 the libnormaliz0-dev package.

Package: normaliz-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Suggests: normaliz (=${binary:Version}), pdf-viewer
Multi-Arch: foreign
Description: math computing tools for affine monoids, rational polytopes and cones - doc
 Normaliz is a mathematical tool for computations in affine monoids, vector
 configurations, lattice polytopes, and rational cones.
 .
 This package provides the user guide for the normaliz tool suite;
 it also contains examples.

=== debian/watch ===
version=3
opts=dversionmangle=s/\+ds//,repacksuffix=+ds \
https://www.normaliz.uni-osnabrueck.de/download/all-versions/ .*/Normaliz([\d\.]+)Source\.zip

## normaliz 3.4.1+ds

=== source/CMakeLists.txt ===
--- 
+++ 
@@ -15,7 +15,7 @@
 # The project name and the type of project
 PROJECT(libnormaliz)
 SET(VERSION_MAJOR 3)
-SET(VERSION_MINOR 1)
+SET(VERSION_MINOR 4)
 SET(VERSION_PATCH 1)
 SET(VERSION_STRING ${VERSION_MAJOR}.${VERSION_MINOR}.${VERSION_PATCH})
 SET(VERSION ${VERSION_STRING})
@@ -147,15 +147,33 @@
 
 
 # handle usage of SCIP
-SET (NMZ_SCIP "NO" CACHE BOOL "Use SCIP")
-IF (NMZ_SCIP)
-  FIND_PACKAGE(SCIP REQUIRED)
-  SET (NMZ_SCIP_FLAGS "-DNMZ_SCIP")
-  INCLUDE_DIRECTORIES(${SCIP_INCLUDE_DIR})
-  MESSAGE(STATUS "Adding to compiler flags NMZ_SCIP_FLAGS=${NMZ_SCIP_FLAGS}")
-  SET (CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${NMZ_SCIP_FLAGS}")
-ENDIF (NMZ_SCIP)
-
+SET (NMZ_SCIP "YES" CACHE BOOL "Use SCIP")
+FIND_PACKAGE(SCIP) # should always be defined
+IF(SCIP_FOUND)
+  IF(NMZ_SCIP)
+    SET (NMZ_SCIP_FLAGS "-DNMZ_SCIP")
+    INCLUDE_DIRECTORIES(${SCIP_INCLUDE_DIR})
+    MESSAGE(STATUS "Adding to compiler flags NMZ_SCIP_FLAGS=${NMZ_SCIP_FLAGS}")
+    SET (CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${NMZ_SCIP_FLAGS}")
+  ENDIF(NMZ_SCIP)
+ELSE(SCIP_FOUND)
+    SET (SCIP_LIBRARY "")
+ENDIF(SCIP_FOUND)
+
+
+# handle use of CoCoALib
+SET (NMZ_COCOA "YES" CACHE BOOL "Use CoCoALib")
+FIND_PACKAGE(COCOA)
+IF(COCOA_FOUND)
+  IF(NMZ_COCOA)
+    SET (NMZ_COCOA_FLAGS "-DNMZ_COCOA -DCoCoA_THREADSAFE_HACK")
+    INCLUDE_DIRECTORIES(${COCOA_INCLUDE_DIR})
+    MESSAGE(STATUS "Adding to compiler flags NMZ_COCOA_FLAGS=${NMZ_CoCOA_FLAGS}")
+    SET (CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${NMZ_COCOA_FLAGS}")
+  ENDIF(NMZ_COCOA)
+ELSE(COCOA_FOUND)
+    SET (COCOA_LIBRARY "")
+ENDIF (COCOA_FOUND)
 
 # find gmp
 FIND_PACKAGE(GMP REQUIRED)
@@ -182,7 +200,7 @@
   IF ( NOT UNIX OR APPLE )
     MESSAGE (FATAL_ERROR "Offload to mic only supported on Linux")
   ENDIF()
-  IF ( NMZ_SCIP )
+  IF ( NMZ_SCIP AND SCIP_FOUND ) 
     MESSAGE (FATAL_ERROR "Simultaneous use of offload and scip not supported")
   ENDIF()
 
@@ -212,7 +230,7 @@
 ADD_SUBDIRECTORY(libnormaliz)
 
 # add the normaliz executable
-ADD_EXECUTABLE (normaliz Normaliz.cpp)
+ADD_EXECUTABLE (normaliz normaliz.cpp)
 
 IF (NMZ_BUILD_STATIC)
   TARGET_LINK_LIBRARIES (normaliz normaliz-static)
@@ -228,14 +246,23 @@
 ENDIF (NMZ_BUILD_STATIC)
 
 #link optional libs
-IF (NMZ_SCIP)
+IF (NMZ_SCIP AND SCIP_FOUND)
   MESSAGE(STATUS "Adding scip libraries to link ${SCIP_LIBRARY}")
   TARGET_LINK_LIBRARIES (normaliz ${SCIP_LIBRARY})
-ENDIF (NMZ_SCIP)
-
+ENDIF (NMZ_SCIP AND SCIP_FOUND)
+
+IF (NMZ_COCOA AND COCOA_FOUND)
+  MESSAGE(STATUS "Adding CoCoA libraries to link ${COCOA_LIBRARY}")
+  TARGET_LINK_LIBRARIES (normaliz ${COCOA_LIBRARY})
+ENDIF (NMZ_COCOA AND COCOA_FOUND)
 
 INSTALL(TARGETS normaliz DESTINATION bin)
 
+SET (NMZ_MAX "YES" CACHE BOOL "Compile with maxsimplex")
+IF (NMZ_MAX)
+    ADD_SUBDIRECTORY(maxsimplex)
+    #TARGET_LINK_LIBRARIES (normaliz maxsimplex) 
+ENDIF (NMZ_MAX)
 
 #custom make targets
 ADD_CUSTOM_TARGET (uninstall @echo uninstall package)
@@ -270,10 +297,18 @@
 IF (UNIX)
   ADD_CUSTOM_COMMAND(
     COMMENT "run tests"
-    COMMAND make --directory=../test/ NORMALIZ=${CMAKE_CURRENT_BINARY_DIR}/normaliz
+    COMMAND make --directory=../test/ -f Makefile.classic NORMALIZ=${CMAKE_CURRENT_BINARY_DIR}/normaliz
     TARGET  check
     DEPENDS normaliz
   )
+  IF(NMZ_COCOA AND COCOA_FOUND)
+      ADD_CUSTOM_COMMAND(
+      COMMENT "run Int tests"
+      COMMAND make --directory=../test/ -f Makefile.classic testInt NORMALIZ=${CMAKE_CURRENT_BINARY_DIR}/normaliz
+      TARGET  check
+      DEPENDS normaliz
+  )
+  ENDIF(NMZ_COCOA AND COCOA_FOUND)
 ELSE(UNIX)
   ADD_CUSTOM_COMMAND(
     COMMENT "check only implemented in unix"

=== source/libnormaliz/CMakeLists.txt ===
# libnormaliz source files
SET(sources cone_property.cpp HilbertSeries.cpp libnormaliz-templated.cpp offload_handler.cpp bottom.cpp nmz_integrate.cpp)
# libnormaliz header files
SET(headers cone.h cone_property.h convert.h general.h HilbertSeries.h integer.h libnormaliz.h map_operations.h matrix.h my_omp.h normaliz_exception.h sublattice_representation.h vector_operations.h version.h)

# add the necessary include directories
INCLUDE_DIRECTORIES(..)
FIND_PACKAGE(Boost REQUIRED)
#IF (Boost_FOUND)
#  MESSAGE(STATUS "Boost found with include dir: ${Boost_INCLUDE_DIR}")
#ENDIF()
INCLUDE_DIRECTORIES(${Boost_INCLUDE_DIR})

SET (NMZ_BUILD_BOTH "NO" CACHE BOOL "build shared AND static libnormaliz")

IF (NMZ_BUILD_BOTH OR NOT NMZ_BUILD_STATIC)
  # create the shared library
  ADD_LIBRARY(normaliz-shared SHARED ${sources})
  SET_TARGET_PROPERTIES(normaliz-shared PROPERTIES OUTPUT_NAME normaliz VERSION ${VERSION} SOVERSION 0)
  # set the dependency on gmp
  TARGET_LINK_LIBRARIES (normaliz-shared ${GMPXX_LIBRARIES} ${GMP_LIBRARIES})
  #set dependency on optional lib scip
  IF (NMZ_SCIP AND SCIP_FOUND)
    MESSAGE(STATUS "Adding scip libraries to link ${SCIP_LIBRARY}")
    TARGET_LINK_LIBRARIES (normaliz-shared ${SCIP_LIBRARY})
  ENDIF (NMZ_SCIP AND SCIP_FOUND)
  # set dependency on optional lib cocoa
  IF (NMZ_COCOA AND COCOA_FOUND)
    MESSAGE(STATUS "Adding CoCoA libraries to link ${COCOA_LIBRARY}")
    TARGET_LINK_LIBRARIES (normaliz-shared ${COCOA_LIBRARY})
  ENDIF (NMZ_COCOA AND COCOA_FOUND)
  INSTALL(TARGETS normaliz-shared
    ARCHIVE DESTINATION lib
    LIBRARY DESTINATION lib${LIB_SUFFIX}
    RUNTIME DESTINATION bin
    COMPONENT sharedlibs
  )
ENDIF ()

IF (NMZ_BUILD_BOTH OR NMZ_BUILD_STATIC)
  #create the static library
  ADD_LIBRARY(normaliz-static STATIC ${sources})
  SET_TARGET_PROPERTIES(normaliz-static PROPERTIES OUTPUT_NAME normaliz VERSION ${VERSION} SOVERSION 0)
  INSTALL(TARGETS normaliz-static ARCHIVE DESTINATION lib${LIB_SUFFIX})
ENDIF ()

INSTALL(FILES ${headers} DESTINATION include/${PROJECT_NAME} COMPONENT headers)

SET(LIBNORMALIZ_INCLUDE_DIR ${includedir})
SET(LIBNORMALIZ_INCLUDE_DIRS ${LIBNORMALIZ_INCLUDE_DIR})
SET(LIBNORMALIZ_ROOT_DIR ${prefix})
SET(LIBNORMALIZ_VERSION_STRING ${VERSION_STRING})
SET(LIBNORMALIZ_VERSION_MAJOR ${VERSION_MAJOR})
SET(LIBNORMALIZ_VERSION_MINOR ${VERSION_MINOR})
SET(LIBNORMALIZ_VERSION_PATCH ${VERSION_PATCH})
CONFIGURE_FILE(version.h.in ${CMAKE_CURRENT_SOURCE_DIR}/version.h @ONLY)
SET(LIBNORMALIZ_USE_FILE ${CMAKE_INSTALL_PREFIX}/${LIBNORMALIZ_CMAKE_CONFIG_DIR}/UseLibnormaliz.cmake)
CONFIGURE_FILE(../LibnormalizConfig.cmake.in ${CMAKE_CURRENT_BINARY_DIR}/LibnormalizConfig.cmake @ONLY)
#INSTALL(FILES ${CMAKE_CURRENT_BINARY_DIR}/LibnormalizConfig.cmake ../UseLibnormaliz.cmake DESTINATION ${LIBNORMALIZ_CMAKE_CONFIG_DIR})

#ADD_SUBDIRECTORY(examples)

=== source/maxsimplex/CMakeLists.txt ===
CMAKE_MINIMUM_REQUIRED(VERSION 2.6)
PROJECT(maxsimplex)

INCLUDE_DIRECTORIES(../libnormaliz)
INCLUDE_DIRECTORIES(..)

INCLUDE_DIRECTORIES(${GMP_INCLUDE_DIR})
INCLUDE_DIRECTORIES(${GMPXX_INCLUDE_DIR})

ADD_EXECUTABLE (maxsimplex maxsimplex.cpp)

IF (NMZ_BUILD_STATIC)
  TARGET_LINK_LIBRARIES (maxsimplex normaliz-static)
  TARGET_LINK_LIBRARIES (maxsimplex ${SCIP_LIBRARY} ${COCOA_LIBRARY} ${GMPXX_STATIC_LIBRARIES} ${GMP_STATIC_LIBRARIES})
  #Static start and end
  SET_TARGET_PROPERTIES(maxsimplex PROPERTIES LINK_SEARCH_START_STATIC 1)
  SET_TARGET_PROPERTIES(maxsimplex PROPERTIES LINK_SEARCH_END_STATIC 1)
  # Don't try to modify the RPATH
  SET_TARGET_PROPERTIES(maxsimplex PROPERTIES INSTALL_RPATH "")
ELSE (NMZ_BUILD_STATIC)
  TARGET_LINK_LIBRARIES (maxsimplex normaliz-shared)
  TARGET_LINK_LIBRARIES (maxsimplex ${SCIP_LIBRARY} ${COCOA_LIBRARY} ${GMPXX_LIBRARIES} ${GMP_LIBRARIES})
ENDIF (NMZ_BUILD_STATIC)

=== debian/changelog ===
normaliz (3.4.1+ds-2) unstable; urgency=medium

  * Debianization:
    - debian/control:
  		- Breaks+Replaces field, add (Closes: #881883);
    - debian/patches/*:
      - d/p/upstream-test-extremely_sensitive_tests-neutralize.patch,
        introduce and submit (Closes: #881869);
      - d/p/debianization.patch, refresh.

 -- Jerome Benoit <calculus@rezozer.net>  Fri, 17 Nov 2017 15:07:15 +0000

normaliz (3.4.1+ds-1) unstable; urgency=medium

  * New upstream minor version (Closes: #877210).
  * Debianization:
    - debian/copyright, refresh;
    - debian/control:
      - debhelper, bump to 10 (see d/rules);
      - Standards Version, bump to 4.1.1 (no change);
      - discard the debug symbols package libnormaliz0-dbg;
      - Build-Depends-Indep field, neutralize;
    - debian/watch:
      - version, bump to 4;
      - path, refresh to upstream GitHUB site path;
    - debian/rules:
      - debhelper, bump to 10;
      - doc composition, neutralize.

 -- Jerome Benoit <calculus@rezozer.net>  Wed, 15 Nov 2017 06:15:30 +0000

=== debian/control ===
--- 
+++ 
@@ -4,13 +4,10 @@
 Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Jerome Benoit <calculus@rezozer.net>
 Build-Depends:
- debhelper (>= 9),
- cmake, help2man,
+ debhelper (>= 10), autoconf-archive,
+ help2man,
  libgmp-dev, libboost-dev
-Build-Depends-Indep:
- texlive-latex-base, texlive-latex-recommended, texlive-pictures,
- texlive-fonts-recommended, texlive-fonts-extra
-Standards-Version: 3.9.7
+Standards-Version: 4.1.1
 Homepage: https://www.normaliz.uni-osnabrueck.de/
 Vcs-Git: https://anonscm.debian.org/git/debian-science/packages/normaliz.git
 Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/normaliz.git
@@ -25,7 +22,7 @@
  .
  This dummy package provides the standard installation.
 
-Package: libnormaliz0
+Package: libnormaliz3
 Provides: libnormaliz
 Section: libs
 Architecture: any
@@ -39,13 +36,12 @@
  .
  This package provides the shared libraries required to run programs compiled
  against the Normaliz library. To compile your own programs you also need to
- install the libnormaliz0-dev package.
+ install the libnormaliz-dev package.
 
-Package: libnormaliz0-dev
-Provides: libnormaliz-dev
+Package: libnormaliz-dev
 Section: libdevel
 Architecture: any
-Depends: libnormaliz0 (= ${binary:Version}), libnormaliz0-dev-common (= ${source:Version}), ${misc:Depends}
+Depends: libnormaliz3 (= ${binary:Version}), libnormaliz-dev-common (= ${source:Version}), ${misc:Depends}
 Conflicts: libnormaliz-dev
 Suggests: normaliz-bin (= ${binary:Version})
 Multi-Arch: same
@@ -56,11 +52,13 @@
  This package contains static libraries and symbolic links that developers
  using the Normaliz library will need.
 
-Package: libnormaliz0-dev-common
+Package: libnormaliz-dev-common
 Section: libdevel
 Architecture: all
 Depends: ${misc:Depends}
 Multi-Arch: foreign
+Replaces: libnormaliz0-dev-common
+Breaks: libnormaliz0-dev-common
 Description: math computing tools for affine monoids, rational polytopes and cones - headers
  Normaliz is a mathematical tool for computations in affine monoids, vector
  configurations, lattice polytopes, and rational cones.
@@ -70,7 +68,7 @@
 
 Package: normaliz-bin
 Architecture: any
-Depends: libnormaliz0 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
+Depends: libnormaliz3 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
 Suggests: normaliz-doc (= ${binary:Version})
 Multi-Arch: foreign
 Description: math computing tools for affine monoids, rational polytopes and cones - bin
@@ -78,22 +76,6 @@
  configurations, lattice polytopes, and rational cones.
  .
  This package provides the command line utility normaliz.
-
-Package: libnormaliz0-dbg
-Provides: libnormaliz-dbg
-Section: debug
-Priority: extra
-Architecture: any
-Depends: libnormaliz0 (= ${binary:Version}), ${misc:Depends}
-Conflicts: libnormaliz-dbg
-Suggests: pkg-config
-Multi-Arch: same
-Description: math computing tools for affine monoids, rational polytopes and cones - debug
- Normaliz is a mathematical tool for computations in affine monoids, vector
- configurations, lattice polytopes, and rational cones.
- .
- This package provides the debugging symbols for the libraries from
- the libnormaliz0-dev package.
 
 Package: normaliz-doc
 Section: doc

=== debian/rules ===
#!/usr/bin/make -f
include /usr/share/dpkg/pkg-info.mk
export DEB_VERSION

export DEB_BUILD_MAINT_OPTIONS=hardening=+all

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

export TOP_SRCDIR=$(CURDIR)

## At the time of coding, GOMP emits random `Bus error' during test on mipsel
## architecture machines --- see bugreport #806769 for further information.
## -- Jerome Benoit <calculus@rezozer.net>  Tue, 01 Dec 2015
ifeq (mipsel-linux-gnu,$(DEB_HOST_MULTIARCH))
DEB_PKG_NMZ_OPENMP=no
else
DEB_PKG_NMZ_OPENMP=yes
endif

default:
	@uscan --no-conf --dehs --report || true

%:
	dh $@ --builddirectory=_build

override_dh_auto_configure:
	dh_auto_configure -- --enable-openmp=$(DEB_PKG_NMZ_OPENMP)

override_dh_auto_build-indep:

override_dh_auto_build-arch:
	dh_auto_build -a

override_dh_auto_test-indep:

override_dh_prep-arch:
	$(MAKE) -f debian/adhoc/Makefile manpages

override_dh_auto_install-indep:
	$(MAKE) -C _build/source install-data-am DESTDIR=$(CURDIR)/debian/tmp

override_dh_compress-indep:
	dh_compress -X.pdf -Xexamples

get-orig-source:
	uscan --no-conf --download-current-version --verbose
